-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

===========================================================================
             AUSCERT External Security Bulletin Redistribution

                              ESB-2019.1509.2
                   F5 Networks bulletin: Appliance mode
                                7 May 2019

===========================================================================

        AusCERT Security Bulletin Summary
        ---------------------------------

Product:           BIG-IP
Publisher:         F5 Networks
Impact/Access:     Overwrite Arbitrary Files -- Existing Account
                   Unauthorised Access       -- Existing Account
Resolution:        Patch/Upgrade
CVE Names:         CVE-2019-6614 CVE-2019-6615 CVE-2019-6616

Original Bulletin: 
   https://support.f5.com/csp/article/K46524395
   https://support.f5.com/csp/article/K87659521
   https://support.f5.com/csp/article/K82814400

Revision History:  May 7 2019: Heuristics noted for BIG-IP iHealth
                   May 2 2019: Initial Release

- --------------------------BEGIN INCLUDED TEXT--------------------

K46524395:Appliance mode vulnerability CVE-2019-6614

Security Advisory

Original Publication Date: 01 May, 2019

Latest   Publication Date: 07 May, 2019

Security Advisory Description

Internal methods used to prevent arbitrary file overwrites in Appliance Mode
were not fully effective. An authenticated attacker with a high privilege level
may be able to bypass protections implemented in appliance mode to overwrite
arbitrary system files. (CVE-2019-6614)

Note: Appliance mode is designed to meet the needs of customers in especially
sensitive sectors by limiting the BIG-IP system administrative access to match
that of a typical network appliance and not a multi-user UNIX device. When a
BIG-IP system is configured in Appliance mode, the Advanced Shell (bash) access
to the file system is restricted. For information about Appliance mode, refer
to K12815: Overview of Appliance mode.

Impact

BIG-IP

This vulnerability may allow unauthorized write privileges to system files on
systems configured in Appliance mode.

BIG-IQ / F5 iWorkflow / Enterprise Manager / Traffix SDC

There is no impact; these F5 products are not affected by this vulnerability.

Security Advisory Status

F5 Product Development has assigned ID 698376 (BIG-IP) to this vulnerability.
Additionally, BIG-IP iHealth may list Heuristic H46524395 on the Diagnostics >
Identified > Medium page.

To determine if your product and version have been evaluated for this
vulnerability, refer to the Applies to (see versions) box. To determine if your
release is known to be vulnerable, the components or features that are affected
by the vulnerability, and for information about releases or hotfixes that
address the vulnerability, refer to the following table. For more information
about security advisory versioning, refer to K51812227: Understanding Security
Advisory versioning.

+-------------------+------+----------+----------+----------+------+----------+
|                   |      |Versions  |Fixes     |          |CVSSv3|Vulnerable|
|Product            |Branch|known to  |introduced|Severity  |score^|component |
|                   |      |be        |in        |          |1     |or feature|
|                   |      |vulnerable|          |          |      |          |
+-------------------+------+----------+----------+----------+------+----------+
|                   |14.x  |14.0.0 -  |14.1.0.2  |          |      |          |
|                   |      |14.1.0    |          |          |      |          |
|BIG-IP (LTM, AAM,  +------+----------+----------+          |      |          |
|AFM, Analytics,    |13.x  |13.0.0 -  |13.1.1.5  |          |      |          |
|APM, ASM, DNS, Edge|      |13.1.1    |          |          |      |Appliance |
|Gateway, FPS, GTM, +------+----------+----------+Medium    |6.0   |mode      |
|Link Controller,   |12.x  |12.1.0 -  |12.1.4.1  |          |      |          |
|PEM,               |      |12.1.4    |          |          |      |          |
|WebAccelerator)    +------+----------+----------+          |      |          |
|                   |11.x  |None      |Not       |          |      |          |
|                   |      |          |applicable|          |      |          |
+-------------------+------+----------+----------+----------+------+----------+
|Enterprise Manager |3.x   |None      |Not       |Not       |None  |None      |
|                   |      |          |applicable|vulnerable|      |          |
+-------------------+------+----------+----------+----------+------+----------+
|                   |6.x   |None      |Not       |          |      |          |
|BIG-IQ Centralized |      |          |applicable|Not       |      |          |
|Management         +------+----------+----------+vulnerable|None  |None      |
|                   |5.x   |None      |Not       |          |      |          |
|                   |      |          |applicable|          |      |          |
+-------------------+------+----------+----------+----------+------+----------+
|F5 iWorkflow       |2.x   |None      |Not       |Not       |None  |None      |
|                   |      |          |applicable|vulnerable|      |          |
+-------------------+------+----------+----------+----------+------+----------+
|Traffix SDC        |5.x   |None      |Not       |Not       |None  |None      |
|                   |      |          |applicable|vulnerable|      |          |
+-------------------+------+----------+----------+----------+------+----------+

^1 The CVSSv3 score link takes you to a resource outside of AskF5, and it is
possible that the document may be removed without our knowledge.

Security Advisory Recommended Actions

If you are running a version listed in the Versions known to be vulnerable
column, you can eliminate this vulnerability by upgrading to a version listed
in the Fixes introduced in column. If the table lists only an older version
than what you are currently running, or does not list a non-vulnerable version,
then no upgrade candidate currently exists.

Mitigation

None

Supplemental Information

o K51812227: Understanding Security Advisory versioning
  o K41942608: Overview of Security Advisory articles
  o K4602: Overview of the F5 security vulnerability response policy
  o K4918: Overview of the F5 critical issue hotfix policy
  o K9502: BIG-IP hotfix and point release matrix
  o K13123: Managing BIG-IP product hotfixes (11.x - 13.x)
  o K167: Downloading software and firmware from F5
  o K9970: Subscribing to email notifications regarding F5 products
  o K9957: Creating a custom RSS feed to view new and updated documents

- --------------------------------------------------------------------------------------

K87659521:Appliance mode tmsh vulnerability CVE-2019-6615

Security Advisory

Original Publication Date: 01 May, 2019

Latest   Publication Date: 07 May, 2019

Security Advisory Description

Administrator and Resource Administrator roles may exploit TMOS Shell (tmsh)
access to bypass Appliance mode restrictions on BIG-IP systems. (CVE-2019-6615)

Impact

Attackers can gain access to an advanced shell.

Security Advisory Status

F5 Product Development has assigned ID 702472 (BIG-IP) to this vulnerability.
Additionally, BIG-IP iHealth may list Heuristic H87659521 on the Diagnostics >
Identified > Medium page.

To determine if your product and version have been evaluated for this
vulnerability, refer to the Applies to (see versions) box. To determine if your
release is known to be vulnerable, the components or features that are affected
by the vulnerability, and for information about releases or hotfixes that
address the vulnerability, refer to the following table.

+------------------+------+----------+----------+-----------+------+----------+
|                  |      |Versions  |Fixes     |           |CVSSv3|Vulnerable|
|Product           |Branch|known to  |introduced|Severity   |score^|component |
|                  |      |be        |in        |           |1     |or feature|
|                  |      |vulnerable|          |           |      |          |
+------------------+------+----------+----------+-----------+------+----------+
|                  |14.x  |14.0.0 -  |14.1.0.2  |           |      |          |
|                  |      |14.1.0    |          |           |      |          |
|BIG-IP (LTM, AAM, +------+----------+----------+           |      |          |
|AFM, Analytics,   |13.x  |13.0.0 -  |13.1.1.5  |           |      |          |
|APM, ASM, DNS,    |      |13.1.1    |          |           |      |          |
|Edge Gateway,     +------+----------+----------+           |      |Appliance |
|GTM, Link         |12.x  |12.1.0 -  |12.1.4.1  |Medium     |6.7   |Mode      |
|Controller, PEM,  |      |12.1.4    |          |           |      |          |
|WebAccelerator,   +------+----------+----------+           |      |          |
|WebSafe)          |      |11.6.1 -  |          |           |      |          |
|                  |11.x  |11.6.3    |11.6.4    |           |      |          |
|                  |      |11.5.2 -  |11.5.9    |           |      |          |
|                  |      |11.5.8    |          |           |      |          |
+------------------+------+----------+----------+-----------+------+----------+
|                  |      |3.1.1     |Not       |Not        |      |          |
|Enterprise Manager|3.x   |None      |applicable|vulnerable^|None  |None      |
|                  |      |          |          |2          |      |          |
+------------------+------+----------+----------+-----------+------+----------+
|                  |      |5.0.0 -   |Not       |           |      |          |
|                  |5.x   |5.4.0     |applicable|Not        |      |          |
|BIG-IQ Centralized|      |None      |          |vulnerable^|None  |None      |
|Management        +------+----------+----------+2          |      |          |
|                  |4.x   |4.6.0     |Not       |           |      |          |
|                  |      |None      |applicable|           |      |          |
+------------------+------+----------+----------+-----------+------+----------+
|BIG-IQ Cloud and  |      |1.0.0     |Not       |Not        |      |          |
|Orchestration     |1.x   |None      |applicable|vulnerable^|None  |None      |
|                  |      |          |          |2          |      |          |
+------------------+------+----------+----------+-----------+------+----------+
|                  |      |2.0.1 -   |Not       |Not        |      |          |
|F5 iWorkflow      |2.x   |2.3.0     |applicable|vulnerable^|None  |None      |
|                  |      |None      |          |2          |      |          |
+------------------+------+----------+----------+-----------+------+----------+
|                  |      |2.5.0 -   |Not       |Not        |      |          |
|LineRate          |2.x   |2.6.2     |applicable|vulnerable^|None  |None      |
|                  |      |None      |          |2          |      |          |
+------------------+------+----------+----------+-----------+------+----------+
|                  |      |5.0.0 -   |Not       |           |      |          |
|                  |5.x   |5.1.0     |applicable|           |      |          |
|                  |      |None      |          |Not        |      |          |
|Traffix SDC       +------+----------+----------+vulnerable^|None  |None      |
|                  |      |4.0.5 -   |Not       |2          |      |          |
|                  |4.x   |4.4.0     |applicable|           |      |          |
|                  |      |None      |          |           |      |          |
+------------------+------+----------+----------+-----------+------+----------+

^1The CVSSv3 score link takes you to a resource outside of AskF5, and it is
possible that the document may be removed without our knowledge.

^2 The specified products contain the affected code. However, F5 identifies the
vulnerability status as Not vulnerable because the attacker cannot exploit the
code in default, standard, or recommended configurations.

Security Advisory Recommended Actions

If you are running a version listed in the Versions known to be vulnerable
column, you can eliminate this vulnerability by upgrading to a version listed
in the Fixes introduced in column. If the table lists only an older version
than what you are currently running, or does not list a non-vulnerable version,
then no upgrade candidate currently exists.

Note: For details about how Security Advisory articles are versioned, and what
versions are listed in the table, refer to K51812227: Understanding Security
Advisory versioning.

To determine the necessary upgrade path for your BIG-IQ system, you should
understand the BIG-IQ product offering name changes. For more information,
refer to K21232150: Considerations for upgrading BIG-IQ or F5 iWorkflow systems
.

Mitigation

None

Supplemental Information

o K51812227: Understanding Security Advisory versioning
  o K41942608: Overview of Security Advisory articles
  o K4602: Overview of the F5 security vulnerability response policy
  o K4918: Overview of the F5 critical issue hotfix policy
  o K9502: BIG-IP hotfix and point release matrix
  o K13123: Managing BIG-IP product hotfixes (11.x - 13.x)
  o K15106: Managing BIG-IQ product hotfixes
  o K15113: BIG-IQ hotfix matrix
  o K12766: ARX hotfix matrix
  o K48955220: Installing an OPSWAT Endpoint Security update on BIG-IP APM
    systems (11.4.x and later)
  o K167: Downloading software and firmware from F5
  o K9970: Subscribing to email notifications regarding F5 products
  o K9957: Creating a custom RSS feed to view new and updated documents

- --------------------------------------------------------------------------------------

K82814400:Appliance mode tmsh vulnerability CVE-2019-6616

Security Advisory

Original Publication Date: 01 May, 2019

Latest   Publication Date: 07 May, 2019

Security Advisory Description

Administrative users with TMOS Shell (tmsh) access can overwrite critical
system files on the BIG-IP system, which may result in bypass of whitelist/
blacklist restrictions enforced by appliance mode. (CVE-2019-6616)

Impact

BIG-IP

This vulnerability allows a privilege escalation for authenticated
administrative users.

BIG-IQ, F5 iWorkflow, Enterprise Manager, Traffix SDC

There is no impact; these F5 products are not affected by this vulnerability.

Security Advisory Status

F5 Product Development has assigned ID 703835 (BIG-IP) to this vulnerability.
Additionally, BIG-IP iHealth may list Heuristic H82814400 on the Diagnostics >
Identified > Medium page.

To determine if your product and version have been evaluated for this
vulnerability, refer to the Applies to (see versions) box. To determine if your
release is known to be vulnerable, the components or features that are affected
by the vulnerability, and for information about releases or hotfixes that
address the vulnerability, refer to the following table.

+------------------+------+----------+----------+----------+------+-----------+
|                  |      |Versions  |Fixes     |          |CVSSv3|Vulnerable |
|Product           |Branch|known to  |introduced|Severity  |score^|component  |
|                  |      |be        |in        |          |1     |or feature |
|                  |      |vulnerable|          |          |      |           |
+------------------+------+----------+----------+----------+------+-----------+
|                  |14.x  |14.0.0 -  |14.1.0.2  |          |      |           |
|                  |      |14.1.0    |          |          |      |           |
|                  +------+----------+----------+          |      |           |
|BIG-IP (LTM, AAM, |13.x  |13.0.0 -  |13.1.1.5  |          |      |tmsh access|
|AFM, Analytics,   |      |13.1.1    |          |          |      |on a BIG-IP|
|APM, ASM, DNS,    +------+----------+----------+          |      |system     |
|Edge Gateway, FPS,|12.x  |12.1.0 -  |12.1.4.1  |Medium    |6.7   |configured |
|GTM, Link         |      |12.1.4    |          |          |      |for        |
|Controller, PEM,  +------+----------+----------+          |      |Appliance  |
|WebAccelerator)   |      |11.6.0 -  |          |          |      |mode       |
|                  |11.x  |11.6.3    |11.6.4    |          |      |           |
|                  |      |11.5.2 -  |11.5.9    |          |      |           |
|                  |      |11.5.8    |          |          |      |           |
+------------------+------+----------+----------+----------+------+-----------+
|Enterprise Manager|3.x   |None      |Not       |Not       |None  |None       |
|                  |      |          |applicable|vulnerable|      |           |
+------------------+------+----------+----------+----------+------+-----------+
|                  |6.x   |None      |Not       |          |      |           |
|BIG-IQ Centralized|      |          |applicable|Not       |      |           |
|Management        +------+----------+----------+vulnerable|None  |None       |
|                  |5.x   |None      |Not       |          |      |           |
|                  |      |          |applicable|          |      |           |
+------------------+------+----------+----------+----------+------+-----------+
|F5 iWorkflow      |2.x   |None      |Not       |Not       |None  |None       |
|                  |      |          |applicable|vulnerable|      |           |
+------------------+------+----------+----------+----------+------+-----------+
|Traffix SDC       |5.x   |None      |Not       |Not       |None  |None       |
|                  |      |          |applicable|vulnerable|      |           |
+------------------+------+----------+----------+----------+------+-----------+

^1 The CVSSv3 score link takes you to a resource outside of AskF5, and it is
possible that the document may be removed without our knowledge.

Security Advisory Recommended Actions

If you are running a version listed in the Versions known to be vulnerable
column, you can eliminate this vulnerability by upgrading to a version listed
in the Fixes introduced in column. If the table lists only an older version
than what you are currently running, or does not list a non-vulnerable version,
then no upgrade candidate currently exists.

Mitigation

You should restrict tmsh access to only trusted administrative users on systems
configured in Appliance mode.

Supplemental Information

o K51812227: Understanding Security Advisory versioning
  o K41942608: Overview of Security Advisory articles
  o K4602: Overview of the F5 security vulnerability response policy
  o K4918: Overview of the F5 critical issue hotfix policy
  o K9502: BIG-IP hotfix and point release matrix
  o K13123: Managing BIG-IP product hotfixes (11.x - 13.x)
  o K167: Downloading software and firmware from F5
  o K9970: Subscribing to email notifications regarding F5 products
  o K9957: Creating a custom RSS feed to view new and updated documents

- --------------------------END INCLUDED TEXT--------------------

You have received this e-mail bulletin as a result of your organisation's
registration with AusCERT. The mailing list you are subscribed to is
maintained within your organisation, so if you do not wish to continue
receiving these bulletins you should contact your local IT manager. If
you do not know who that is, please send an email to auscert@auscert.org.au
and we will forward your request to the appropriate person.

NOTE: Third Party Rights
This security bulletin is provided as a service to AusCERT's members.  As
AusCERT did not write the document quoted above, AusCERT has had no control
over its content. The decision to follow or act on information or advice
contained in this security bulletin is the responsibility of each user or
organisation, and should be considered in accordance with your organisation's
site policies and procedures. AusCERT takes no responsibility for consequences
which may arise from following or acting on information or advice contained in
this security bulletin.

NOTE: This is only the original release of the security bulletin.  It may
not be updated when updates to the original are made.  If downloading at
a later date, it is recommended that the bulletin is retrieved directly
from the author's website to ensure that the information is still current.

Contact information for the authors of the original document is included
in the Security Bulletin above.  If you have any questions or need further
information, please contact them directly.

Previous advisories and external security bulletins can be retrieved from:

        https://www.auscert.org.au/bulletins/

===========================================================================
Australian Computer Emergency Response Team
The University of Queensland
Brisbane
Qld 4072

Internet Email: auscert@auscert.org.au
Facsimile:      (07) 3365 7031
Telephone:      (07) 3365 4417 (International: +61 7 3365 4417)
                AusCERT personnel answer during Queensland business hours
                which are GMT+10:00 (AEST).
                On call after hours for member emergencies only.
===========================================================================
-----BEGIN PGP SIGNATURE-----
Comment: http://www.auscert.org.au/render.html?it=1967

iQIVAwUBXNDolWaOgq3Tt24GAQiyPQ/+ILbeZAb9its0SAgZe/iUl0XbwfEZ/yf+
GVq3TRuMupVHAhk6jdDhPpV5pSK7qu/q+0cgdIQQ+reSTjaXlu02eZel+9MX2OBG
+N/JiMeGURjc3TFIInIpXCaP3stHEPCOXDdX+QY/o18gF5OC0Gw6hUZqpOx4yucj
ov2PVs+H1AHUT9FYRETsP17G/ZczaYOZ8LOp9GUyz/ugvdbebh9mYV0BRlQGH8XW
e3Y5iPhi+Uiw99HK8EVelRarXqH4H+LhS0OQUpKWUZMMUllAuUQD9QegKKM/K9Z9
Jf4gE4KeERflGzB+UBe69duPz5KCZlZChzM5GM/oI/1KAkNdZyOv9v1yYFc4LvQM
XDaAgDzPhlHV2Btbm70UyEknTZROD7A4J7CwGEPVLsL8/oB1SxMDZJWgC0JfAGLK
mi0DieaBmD+TnNxJhjejXil+GbHXPGKedWLKy4fRaCVtsLn/ZWygFLTnauzlStMD
2FqX8SpI6f53zlb3y8xKqDghpmzRIrZ5Vo0XkpygZvyh2L6qjpCl07nMcWe3MotT
coazqX/5MVYs5uPOM2DOcMgEx7mLuiDPVJBZO+G2yTesZcl2GgOT6uikVouo6WFy
2rOQ/Y7RSNAjm/8j5uGWxS5oX3BgAWJf07Kefn7PeBKam/HZSs0w7gMvuPElOIKV
cMXd6lrr4+w=
=CV+h
-----END PGP SIGNATURE-----